<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>CDTPreferencePage xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../../../apidocs/org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/preferences/CDTPreferencePage.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/*****************************************************************************</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * Copyright (c) 2013 CEA LIST.</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> * are made available under the terms of the Eclipse Public License v1.0</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment"> * which accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <em class="jxr_javadoccomment"> * Contributors:</em>
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <em class="jxr_javadoccomment"> *  CEA LIST - Initial API and implementation</em>
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <em class="jxr_javadoccomment"> *****************************************************************************/</em>
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.preferences;
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <strong class="jxr_keyword">import</strong> org.eclipse.jface.preference.BooleanFieldEditor;
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <strong class="jxr_keyword">import</strong> org.eclipse.jface.preference.FieldEditorPreferencePage;
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.cpp.cdt.texteditor.Activator;
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <strong class="jxr_keyword">import</strong> org.eclipse.ui.IWorkbench;
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <strong class="jxr_keyword">import</strong> org.eclipse.ui.IWorkbenchPreferencePage;
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  <em class="jxr_javadoccomment"> * This class represents the EC3M preference page</em>
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <em class="jxr_javadoccomment"> * &lt;p&gt;</em>
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  <em class="jxr_javadoccomment"> * This page is used to modify preferences only. They are stored in the preference store that belongs to the main plug-in class. That way, preferences can be accessed directly via the preference store.</em>
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/preferences/CDTPreferencePage.html">CDTPreferencePage</a>
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  		<strong class="jxr_keyword">extends</strong> FieldEditorPreferencePage
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  		<strong class="jxr_keyword">implements</strong> IWorkbenchPreferencePage {
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/cdt/texteditor/preferences/CDTPreferencePage.html">CDTPreferencePage</a>() {
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  		<strong class="jxr_keyword">super</strong>(GRID);
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  		setPreferenceStore(Activator.getDefault().getPreferenceStore());
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  		setDescription(<span class="jxr_string">"CDT editor integration options"</span>); <em class="jxr_comment">//$NON-NLS-1$</em>
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  	}
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  <em class="jxr_javadoccomment">	 * Creates the field editors. Field editors are abstractions of</em>
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  <em class="jxr_javadoccomment">	 * the common GUI blocks needed to manipulate various types</em>
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  <em class="jxr_javadoccomment">	 * of preferences. Each field editor knows how to save and</em>
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  <em class="jxr_javadoccomment">	 * restore itself.</em>
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  	@Override
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> createFieldEditors() {
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  		addField(<strong class="jxr_keyword">new</strong> BooleanFieldEditor(
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  				CDTPreferenceConstants.P_SYNC_PERMANENTLY, <span class="jxr_string">"&amp;Synchronize permanently (otherwise only on demand)"</span>, <em class="jxr_comment">//$NON-NLS-1$</em>
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  				getFieldEditorParent()));
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  		addField(<strong class="jxr_keyword">new</strong> BooleanFieldEditor(
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  				CDTPreferenceConstants.P_SYNC_ALL_FILES, <span class="jxr_string">"Synchronize all classes (otherwise synchronize only classes with open editor)"</span>, <em class="jxr_comment">//$NON-NLS-1$</em>
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  				getFieldEditorParent()));
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  	}
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  	<em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  <em class="jxr_comment">	 * (non-Javadoc)</em>
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  <em class="jxr_comment">	 *</em>
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  <em class="jxr_comment">	 * @see org.eclipse.ui.IWorkbenchPreferencePage#init(org.eclipse.ui.IWorkbench)</em>
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  <em class="jxr_comment">	 */</em>
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  	@Override
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> init(IWorkbench workbench) {
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  	}
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
